@charset "UTF-8";
/* -------------------------------------------------------------------------- */
/* RESETS DE BASE                                                             */
/* -------------------------------------------------------------------------- */
*, *::before, *::after {
  box-sizing: border-box;
  margin: 0px;
  padding: 0px;
  outline: 0px;
}

body {
  line-height: 1.1;
  -webkit-font-smoothing: antialiased;
}

ul, ol {
  list-style: none;
}

input, button, textarea, select {
  font: inherit;
}

a {
  text-decoration: none;
  color: inherit;
  cursor: pointer;
}
a:visited, a:active {
  text-decoration: none;
}

/* -------------------------------------------------------------------------- */
/* -------------------------------------------------------------------------- */
/*                                                                            */
/* -------------------------------------------------------------------------- */
:root {
  /* ---------------------------------------------------------------------- */
  --content-max-width: 1100px;
  --hdr-height: 3rem;
  /* ---------------------------------------------------------------------- */
  --logo-color: #0076B8;
  --main-color: #101010;
  --main-accent-color: #000;
  --main-bgcolor: #F5F5F5;
  --hdr-color: #495057;
  --hdr-bgcolor: rgb(245, 245, 245, .95);
  --ftr-color: #f4f3ee;
  --ftr-accent-color: #fff;
  --ftr-bgcolor: #868686;
  --a-hover: #f06543;
  --ph-color: #c6c6c6;
  --btn-send-color: #f4f3ee;
  --btn-send-bgcolor: #5594BF;
  --btn-lang-color: #fff;
  --btn-lang-bgcolor: #5594BF;
}
@media only screen and (min-width: 768px) {
  :root {
    --main-color: #868686;
    --main-accent-color: #747474;
    --main-bgcolor: #F5F5F5;
  }
}

/* -------------------------------------------------------------------------- */
/* -------------------------------------------------------------------------- */
/* LAYOUT GENERAL DE LA PAGINA (MOBILE FIRST)                                 */
/* -------------------------------------------------------------------------- */
html {
  font-family: "Segoe UI", Tahoma, Geneva, Verdana, sans-serif;
  font-size: 16px;
  color: var(--main-color);
  background-color: var(--main-bgcolor);
  scroll-behavior: smooth;
}

body {
  width: 100%;
}

h1, h2, h3 {
  color: var(--main-accent-color);
  font-weight: 600;
}

h1 {
  font-size: 1.75rem;
}

h2 {
  font-size: 1.5rem;
}

h3 {
  font-size: 1.25rem;
}

/* -------------------------------------------------------------------------- */
.main-header {
  display: block;
  position: fixed;
  width: 100%;
  padding: 0 0.5rem 0 1rem;
  z-index: 999;
}
.main-header .header-container {
  display: flex;
  flex-direction: row;
  flex-wrap: wrap;
  justify-content: space-between;
  align-items: center;
  width: 100%;
  max-width: var(--content-max-width);
  margin: 0 auto;
  padding-inline: 1rem;
  background-color: var(--hdr-bgcolor);
  border-radius: calc(var(--hdr-height) / 2);
}
.main-header .header-container .logo-link {
  flex: 1 0;
  display: flex;
  align-items: center;
  height: var(--hdr-height);
  font-size: 2rem;
  color: var(--logo-color);
}
.main-header .header-container #nav_button {
  display: none;
}
.main-header .header-container #nav_button:checked + .nav-button-label::before {
  content: "✕";
}
.main-header .header-container #nav_button:checked ~ .main-nav {
  height: calc(100dvh - var(--hdr-height) - 2rem);
  width: 100%;
}
.main-header .header-container .nav-button-label {
  flex: 0 1 2rem;
  cursor: pointer;
}
.main-header .header-container .nav-button-label::before {
  font-size: 1.6rem;
  content: "☰";
}
.main-header .header-container .main-nav {
  height: 0px;
  width: 100%;
  overflow: hidden;
  transition: 250ms ease;
}
.main-header .header-container .main-nav ul {
  display: flex;
  flex-direction: column;
  flex-wrap: wrap;
  justify-content: flex-start;
  gap: 1rem;
  height: 100%;
  padding-top: 2rem;
}
.main-header .header-container .main-nav ul li a {
  font-size: 1.6em;
  color: var(--hdr-color);
}
.main-header .header-container .main-nav ul li a:hover {
  color: var(--a-hover);
}
.main-header .header-container .main-nav ul li a.active {
  color: var(--a-hover);
  font-weight: 200;
  border-bottom: 2px solid var(--a-hover);
}
.main-header .header-container .main-nav ul li:last-of-type {
  padding-top: 2rem;
}
.main-header .header-container .main-nav ul li:last-of-type a {
  border: 1px solid var(--btn-lang-color);
  border-radius: 50%;
  font-size: 1em;
  padding: 0.5rem 1rem;
  background-color: var(--btn-lang-bgcolor);
  color: var(--btn-lang-color);
}

/* -------------------------------------------------------------------------- */
.main-container {
  max-width: var(--content-max-width);
  margin: 0 auto;
}
.main-container section {
  display: flex;
  flex-direction: column;
  gap: 0.5rem;
  min-height: 100dvh;
  width: 100%;
  padding: calc(var(--hdr-height) + 2rem) 1rem 0.5rem 1rem;
}
.main-container section .section-title {
  flex: 0 1;
  border-top: 1px solid var(--main-color);
  line-height: 1.4rem;
  padding-top: 0.3rem;
}

/* -------------------------------------------------------------------------- */
.main-footer {
  max-width: var(--content-max-width);
  margin: 0 auto;
  padding-top: calc(var(--hdr-height));
}
.main-footer .footer-container {
  display: flex;
  flex-wrap: wrap;
  min-height: calc(100dvh - var(--hdr-height) - 2rem);
  width: 100%;
  padding: 1rem;
  background-color: var(--ftr-bgcolor);
  color: var(--ftr-color);
}
.main-footer .footer-container .footer-linkedin {
  flex: 1 1 100%;
  display: flex;
  justify-content: center;
  align-items: center;
  font-size: 1.1rem;
}
.main-footer .footer-container .footer-nav {
  flex: 1 1 100%;
}
.main-footer .footer-container .footer-nav ul {
  display: flex;
  flex-direction: column;
  flex-wrap: wrap;
}
.main-footer .footer-container .footer-nav ul li {
  padding: 1em 0;
  text-align: center;
}
.main-footer .footer-container .footer-nav ul li a {
  font-size: 1.3em;
}
.main-footer .footer-container .footer-nav ul li a:hover {
  color: var(--a-hover);
}
.main-footer .footer-container .cookies-note {
  flex: 1 1 100%;
  text-align: center;
}
.main-footer .footer-container .copy-r {
  flex: 1 1 100%;
  text-align: center;
}

/* -------------------------------------------------------------------------- */
/* MEDIA QUERY DESKTOP                                                        */
/* -------------------------------------------------------------------------- */
@media only screen and (min-width: 768px) {
  .main-header .header-container .nav-button-label {
    display: none;
  }
  .main-header .header-container .main-nav {
    height: var(--hdr-height);
    width: auto;
  }
  .main-header .header-container .main-nav ul {
    flex-direction: row;
    gap: 1.2rem;
    justify-content: flex-end;
    align-items: center;
    height: 100%;
    width: 100%;
    padding: 0;
  }
  .main-header .header-container .main-nav ul li a {
    font-size: clamp(0.7rem, 1.5vw, 1rem);
    font-size: min-max(1.5dvw, 1.4rem);
    text-transform: uppercase;
  }
  .main-header .header-container .main-nav ul li:last-of-type {
    padding-top: 0;
  }
  .main-footer {
    padding-top: 0;
  }
  .main-footer .footer-container {
    flex-wrap: wrap;
    min-height: unset;
  }
  .main-footer .footer-container .footer-linkedin {
    font-size: 1.4rem;
  }
  .main-footer .footer-container .footer-nav {
    width: 100%;
  }
  .main-footer .footer-container .footer-nav ul {
    width: 100%;
    flex-direction: row;
    justify-content: space-evenly;
  }
  .main-footer .footer-container .footer-nav ul li {
    padding: 1em 0;
    text-align: center;
  }
  .main-footer .footer-container .footer-nav ul li a {
    font-size: 1.3em;
  }
  .main-footer .footer-container .cookies-note {
    flex: 1 0 49%;
    width: 45%;
    font-size: 0.8rem;
    text-align: left;
  }
  .main-footer .footer-container .copy-r {
    flex: 0 0 49%;
    font-size: 0.8rem;
    text-align: right;
  }
}
/* -------------------------------------------------------------------------- */
/* -------------------------------------------------------------------------- */
/* -------------------------------------------------------------------------- */
/* -------------------------------------------------------------------------- */
/* ESTILOS PARA FORMULARIOS                                                   */
/* -------------------------------------------------------------------------- */
.main-form {
  display: flex;
  flex-direction: column;
  justify-content: flex-start;
  gap: 0.5rem;
}
.main-form .form-field {
  display: flex;
  flex-direction: column;
  justify-content: flex-start;
  gap: 0.25rem;
}
.main-form .form-field .form-input, .main-form .form-field .form-textarea {
  padding: 0.25em;
}
.main-form .form-field .form-input::-moz-placeholder, .main-form .form-field .form-textarea::-moz-placeholder {
  color: var(--ph-color);
}
.main-form .form-field .form-input::placeholder, .main-form .form-field .form-textarea::placeholder {
  color: var(--ph-color);
}

.form-button, button {
  padding: 0.5em 1em;
  border: 1px solid;
  border-radius: 0.5em;
  cursor: pointer;
}
.form-button.send, button.send {
  color: var(--btn-send-color);
  background-color: var(--btn-send-bgcolor);
}

/* -------------------------------------------------------------------------- */
/* -------------------------------------------------------------------------- */
/* LAYOUT DE LA SECCIÓN HOME (MOBILE FIRST)                                   */
/* -------------------------------------------------------------------------- */
#home_section {
  display: flex;
  flex-direction: column;
  height: 100dvh;
  width: 100%;
  padding: 0 !important;
  overflow: hidden;
}
#home_section .section-title {
  display: none;
}
#home_section .section-content {
  display: flex;
  flex-direction: column;
  height: 100%;
  width: 100%;
}
#home_section .panel-a {
  position: relative;
  flex: 0 0 40%;
  width: 100%;
  overflow: hidden;
  padding-top: 3rem;
}
#home_section .panel-a .image-wrapper {
  width: 100%;
  height: 100%;
}
#home_section .panel-a .image-wrapper img {
  width: 100%;
  height: 100%;
  -o-object-fit: contain;
     object-fit: contain;
  -o-object-position: center top;
     object-position: center top;
  display: block;
}
#home_section .panel-b {
  flex: 0 0 60%;
  width: 100%;
  display: flex;
  flex-direction: column;
  justify-content: center;
  padding: 2rem;
  gap: 1.2rem;
}
#home_section .panel-b .name-box {
  text-align: center;
}
#home_section .panel-b .name-box p {
  color: var(--main-accent-color);
  font-size: 2.1rem;
  font-weight: 200;
  line-height: 2.2rem;
}
#home_section .panel-b .name-box h1 {
  font-size: 1.4rem;
  line-height: 1.1;
}
#home_section .panel-b .intro-box p {
  line-height: 1.4;
  color: var(--color-1);
}
#home_section .panel-b .linkedin-box {
  display: flex;
  justify-content: center;
  align-items: center;
}
#home_section .panel-b .linkedin-box a {
  display: inline-flex;
  align-items: center;
  font-size: 1.1em;
}
#home_section .panel-b .cv-box {
  display: flex;
  justify-content: center;
  align-items: center;
}
#home_section {
  /* ---------------------------------------------------------------------- */
  /* DESKTOP (> 768px)                                                      */
  /* ---------------------------------------------------------------------- */
}
@media only screen and (min-width: 768px) {
  #home_section .section-content {
    flex-direction: row;
  }
  #home_section .panel-a {
    flex: 0 0 50%;
    height: 100%;
  }
  #home_section .panel-b {
    flex: 0 0 50%;
    height: 100%;
    padding: 0;
  }
  #home_section .panel-b .name-box {
    text-align: center;
  }
  #home_section .panel-b .name-box p {
    font-size: 2.2rem;
    padding-bottom: 1rem;
  }
  #home_section .panel-b .name-box h1 {
    font-size: 1.6rem;
    line-height: 1.1;
  }
}

/* -------------------------------------------------------------------------- */
/* -------------------------------------------------------------------------- */
/* LAYOUT DE LA SECCION SOBRE MI                                             */
/* -------------------------------------------------------------------------- */
.about-me-section .section-content p {
  line-height: 1.4em;
  padding-bottom: 1rem;
}

/* -------------------------------------------------------------------------- */
/* MEDIA QUERIES                                                              */
/* -------------------------------------------------------------------------- */
/* -------------------------------------------------------------------------- */
/* -------------------------------------------------------------------------- */
/* LAYOUT DE LA SECCION HABILIDADES TECNICAS                                  */
/* -------------------------------------------------------------------------- */
.hard-skills-section .section-content {
  display: flex;
  flex-direction: column;
  flex-wrap: wrap;
  justify-content: flex-start;
  gap: 1rem;
}
.hard-skills-section .section-content .hard-skills-card .section-subtitle {
  line-height: 2.3rem;
}
.hard-skills-section .section-content .hard-skills-card ul li {
  padding-top: 0.5em;
  line-height: 1.3em;
}

/* -------------------------------------------------------------------------- */
/* MEDIA QUERIES                                                              */
/* -------------------------------------------------------------------------- */
@media only screen and (min-width: 768px) {
  .hard-skills-section .section-content {
    display: flex;
    flex-direction: row !important;
    flex-wrap: wrap;
    justify-content: flex-start;
    gap: 1rem;
  }
  .hard-skills-section .section-content .hard-skills-card {
    flex: 1 1 49%;
  }
  .hard-skills-section .section-content .hard-skills-card .section-subtitle {
    line-height: 2.3rem;
  }
  .hard-skills-section .section-content .hard-skills-card ul li {
    padding-top: 0.5em;
    line-height: 1.3em;
  }
}
/* -------------------------------------------------------------------------- */
/* -------------------------------------------------------------------------- */
/* LAYOUT DE LA SECCION EXPERIENCIA LABORAL                                   */
/* -------------------------------------------------------------------------- */
.job-exp-section .section-content {
  display: flex;
  flex-direction: column;
  justify-content: flex-start;
  gap: 1rem;
}
.job-exp-section .section-content .job-exp-card {
  width: 100%;
}
.job-exp-section .section-content .job-exp-card .job-exp-header {
  padding-bottom: 0.5rem;
}
.job-exp-section .section-content .job-exp-card .job-exp-header .job-exp-title {
  padding: 0.5rem 0 0.5rem 0;
}
.job-exp-section .section-content .job-exp-card .job-exp-header .job-exp-employer {
  line-height: 2rem;
}
.job-exp-section .section-content .job-exp-card .job-description-intro {
  padding-bottom: 0.5rem;
}
.job-exp-section .section-content .job-exp-card ul li {
  padding-bottom: 0.5rem;
}

/* -------------------------------------------------------------------------- */
/* MEDIA QUERIES                                                              */
/* -------------------------------------------------------------------------- */
/* -------------------------------------------------------------------------- */
/* -------------------------------------------------------------------------- */
/* LAYOUT DE LA SECCION CONTACTO                                              */
/* -------------------------------------------------------------------------- */
.contact-section .section-content {
  display: flex;
  flex-direction: column;
  justify-content: start;
  gap: 2rem;
  width: 100%;
}
.contact-section .section-content .contact-form .form-textarea {
  height: 6em;
}

/* -------------------------------------------------------------------------- */
/* MEDIA QUERIES                                                              */
/* -------------------------------------------------------------------------- */
@media only screen and (min-width: 768px) {
  .section-content .contact-form {
    width: 70%;
    margin: 0 auto;
  }
}
/* -------------------------------------------------------------------------- */